Debian

Available patches from Ubuntu

To see Ubuntu differences wrt. to Debian, write down a grep-dctrl query identifying the packages you're interested in:
grep-dctrl -n -sPackage Sources.Debian
(e.g. -FPackage linux-ntfs or linux-ntfs)

Modified packages are listed below:

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: gstreamer-vaapi

gstreamer-vaapi (1.15.1-1ubuntu1) disco; urgency=medium * Fix 32bit builds with upstream patch - debian/patches/92af6b82fa8ef226b3a8a078d1d07005e1920c6e.patch: -- Gianfranco Costamagna <locutusofborg@debian.org> Fri, 08 Feb 2019 11:19:06 +0100

Modifications :
  1. Download patch debian/patches/92af6b82fa8ef226b3a8a078d1d07005e1920c6e.patch

    --- 1.15.1-1/debian/patches/92af6b82fa8ef226b3a8a078d1d07005e1920c6e.patch 1970-01-01 00:00:00.000000000 +0000 +++ 1.15.1-1ubuntu1/debian/patches/92af6b82fa8ef226b3a8a078d1d07005e1920c6e.patch 2019-02-08 10:19:06.000000000 +0000 @@ -0,0 +1,29 @@ +From 92af6b82fa8ef226b3a8a078d1d07005e1920c6e Mon Sep 17 00:00:00 2001 +From: =?UTF-8?q?V=C3=ADctor=20Manuel=20J=C3=A1quez=20Leal?= + <vjaquez@igalia.com> +Date: Fri, 18 Jan 2019 10:33:37 +0100 +Subject: [PATCH] libs: window: use G_GSIZE_MODIFIER for window id + +gsize type is not equal in all platforms, then the 'l' print modifier +shall not be used always. + +This issue was found in Debian builds. +--- + gst-libs/gst/vaapi/gstvaapiwindow.c | 4 ++-- + 1 file changed, 2 insertions(+), 2 deletions(-) + +diff --git a/gst-libs/gst/vaapi/gstvaapiwindow.c b/gst-libs/gst/vaapi/gstvaapiwindow.c +index ad686f0a..260056e2 100644 +--- a/gst-libs/gst/vaapi/gstvaapiwindow.c ++++ b/gst-libs/gst/vaapi/gstvaapiwindow.c +@@ -247,8 +247,8 @@ gst_vaapi_window_new_internal (GType type, GstVaapiDisplay * display, + + window = g_object_new (type, "display", display, "native-id", id, NULL); + +- GST_DEBUG_OBJECT (window, "new window with id = 0x%08lx and size %ux%u", id, +- width, height); ++ GST_DEBUG_OBJECT (window, "new window with id = 0x%08" G_GSIZE_MODIFIER ++ "x and size %ux%u", id, width, height); + + if (!gst_vaapi_window_create (window, width, height)) + goto error;
  2. Download patch debian/patches/series

    --- 1.15.1-1/debian/patches/series 2019-01-17 16:07:47.000000000 +0000 +++ 1.15.1-1ubuntu1/debian/patches/series 2019-02-08 10:19:05.000000000 +0000 @@ -0,0 +1 @@ +92af6b82fa8ef226b3a8a078d1d07005e1920c6e.patch

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: libvdpau

libvdpau (1.1.1-8ubuntu1) cosmic; urgency=medium * Resynchronize on Debian, remaining change - control: Demote libvdpau-va-gl1 from vdpau-driver-all Depends to Suggests. -- Sebastien Bacher <seb128@ubuntu.com> Thu, 16 Aug 2018 11:07:49 +0200

Modifications :
  1. Download patch debian/control

    --- 1.1.1-8/debian/control 2017-09-03 17:11:22.000000000 +0000 +++ 1.1.1-8ubuntu1/debian/control 2018-08-16 09:09:00.000000000 +0000 @@ -1,7 +1,8 @@ Source: libvdpau Section: libs Priority: optional -Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org> Uploaders: Andreas Beckmann <anbe@debian.org>, Vincent Cheng <vcheng@debian.org>, @@ -82,10 +83,10 @@ Section: video Architecture: any Multi-Arch: same Depends: - libvdpau-va-gl1 [linux-any], mesa-vdpau-drivers [linux-any kfreebsd-any], ${misc:Depends} Suggests: + libvdpau-va-gl1 [linux-any], nvidia-vdpau-driver [amd64 i386], nvidia-legacy-340xx-vdpau-driver [amd64 i386], nvidia-legacy-304xx-vdpau-driver [amd64 i386],
  1. gstreamer-vaapi
  2. libvdpau